## groovy.lang
Class MetaExpandoProperty

Represents a property in an Expando object

author:
  John Stump

version:
  $Revision: 6778 $

Field Summary
`Object` | `value`

Constructor Summary
`MetaExpandoProperty(Entry entry)`

Method Summary
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Constructor Detail

### MetaExpandoProperty

    public MetaExpandoProperty(Entry entry)

Method Detail

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property